From f67d6fe9b9bca6334f596478fb0317025ae51226 Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Wed, 17 Aug 2022 08:52:03 -0500
Subject: [PATCH 04/26] avoid shadow vars: tablesync.c: first

backpatch to v15

commit 923def9a533a7d986acfb524139d8b9e5466d0a5
Author: Tomas Vondra <tomas.vondra@postgresql.org>
Date:   Sat Mar 26 00:45:21 2022 +0100

    Allow specifying column lists for logical replication
---
 src/backend/replication/logical/tablesync.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/backend/replication/logical/tablesync.c b/src/backend/replication/logical/tablesync.c
index bfcb80b4955..71b503f4217 100644
--- a/src/backend/replication/logical/tablesync.c
+++ b/src/backend/replication/logical/tablesync.c
@@ -762,8 +762,8 @@ fetch_remote_table_info(char *nspname, char *relname,
 		TupleTableSlot *slot;
 		Oid			attrsRow[] = {INT2VECTOROID};
 		StringInfoData pub_names;
-		bool		first = true;
 
+		first = true;
 		initStringInfo(&pub_names);
 		foreach(lc, MySubscription->publications)
 		{
-- 
2.17.1

